<?php $this->Extend('/Scaffolds/admin_form'); ?>
<?php $this->Append('additionalFormTabs'); ?>

	<?php
		if (!empty($this->request->data['GiftVoucherPurchase']['completed_date'])):
			echo $this->Html->tag('div', $this->element('admin_purchase_details'), ['class' => 'tab__content', 'data-title' => __d('admin', 'Details')]);
		endif;
	?>

<?php $this->end(); // additionalFormTabs end ?>

<?php

	echo $this->Form->addField('GiftVoucherPurchase.id', array(
		'type' => 'hidden'
	));

	echo $this->Form->addField(
		'GiftVoucherPurchase.sales_ref',
		array(
			'type' => 'string',
			'label' => __d('admin', 'Sales Ref'),
			'displayonly' => true
		)
	);

	echo $this->Form->addField(
		'GiftVoucherPurchase.gift_voucher_purchase_state_id',
		array(
			'type' => 'select',
			'label' => __d('admin', 'Status'),
			'empty' => false,
			'displayonly' => true
		)
	);

	echo $this->Form->addField(
		'GiftVoucherPurchase.completed_date',
		array(
			'type' => 'date',
			'label' => __d('admin', 'Completed Date'),
			'displayonly' => true
		)
	);

	echo $this->Form->addField(
		'GiftVoucherPurchase.gift_voucher_delivery_option_id',
		array(
			'type' => 'string',
			'label' => __d('admin', 'Delivery Option'),
			'displayonly' => true
		)
	);

	echo $this->Form->addField(
		'CustomerAddress.full_name',
		array(
			'type' => 'string',
			'label' => __d('admin', 'Customer'),
			'displayonly' => true
		)
	);

	echo $this->Form->addField(
		'CustomerAddress.email',
		array(
			'type' => 'email',
			'label' => __d('admin', 'Email Address')
		)
	);

	echo $this->Form->addField(
		'CustomerAddress.telephone',
		array(
			'type' => 'tel',
			'label' => __d('admin', 'Telephone')
		)
	);
?>

<div class="field">
	<div class="field__label"><?php echo __d('admin', 'Total Cost'); ?></div>
	<div class="field__value">
		<?php echo $this->Number->currency($this->request->data['GiftVoucherPurchase']['total_cost']); ?>
	</div>
</div>
